Gauges

The gauges resource.

Basehttps://rest.carbon.ms/gauges
GET/gauges

List gaugess

Retrieve a paginated list of gaugess. Filter, order, and select columns with PostgREST query parameters.

Query parameters

selectstring

Comma-separated columns to return. Defaults to all.

orderstring

Column to sort by, e.g. `createdAt.desc`.

limitinteger

Maximum rows to return.

offsetinteger

Rows to skip, for pagination.

GEThttps://rest.carbon.ms/gauges
curl --request GET \
  --url 'https://rest.carbon.ms/gauges?select=*&limit=10' \
  --header 'Authorization: Bearer <api-key>'
Response
[
  {
    "id": "abc123def456",
    "gaugeId": "xyz789",
    "supplierId": "xyz789",
    "modelNumber": "string",
    "serialNumber": "string",
    "description": "string",
    "dateAcquired": "2026-01-01",
    "gaugeTypeId": "xyz789"
  }
]
GET/gauges

Retrieve a gauges

Fetch a single gauges by filtering on `id`.

Query parameters

idstring

Match on the gauges's `id`, e.g. `eq.{id}`.

GEThttps://rest.carbon.ms/gauges
curl --request GET \
  --url 'https://rest.carbon.ms/gauges?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
Response
{
  "id": "abc123def456",
  "gaugeId": "xyz789",
  "supplierId": "xyz789",
  "modelNumber": "string",
  "serialNumber": "string",
  "description": "string",
  "dateAcquired": "2026-01-01",
  "gaugeTypeId": "xyz789"
}
POST/gauges

Create a gauges

Create a new gauges.

Body parameters

gaugeIdstring
supplierIdstring

References supplier.id

modelNumberstring
serialNumberstring
descriptionstring
dateAcquireddate
gaugeTypeIdstring

References gaugeType.id

gaugeCalibrationStatusgaugeCalibrationStatus
gaugeStatusgaugeStatus
gaugeRolegaugeRole
calibrationIntervalInMonthsnumber
lastCalibrationDatedate
nextCalibrationDatedate
locationIdstring

References location.id

storageUnitIdstring

References storageUnit.id

companyIdstring

References company.id

customFieldsobject
lastCalibrationStatusgaugeCalibrationStatus
gaugeCalibrationStatusWithDueDategaugeCalibrationStatus
POSThttps://rest.carbon.ms/gauges
curl --request POST \
  --url https://rest.carbon.ms/gauges \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"description":"string"}'
Response
{
  "id": "abc123def456",
  "gaugeId": "xyz789",
  "supplierId": "xyz789",
  "modelNumber": "string",
  "serialNumber": "string",
  "description": "string",
  "dateAcquired": "2026-01-01",
  "gaugeTypeId": "xyz789"
}
PATCH/gauges

Update a gauges

Update an existing gauges, matched on `id`.

Body parameters

gaugeIdstring
supplierIdstring

References supplier.id

modelNumberstring
serialNumberstring
descriptionstring
dateAcquireddate
gaugeTypeIdstring

References gaugeType.id

gaugeCalibrationStatusgaugeCalibrationStatus
gaugeStatusgaugeStatus
gaugeRolegaugeRole
calibrationIntervalInMonthsnumber
lastCalibrationDatedate
nextCalibrationDatedate
locationIdstring

References location.id

storageUnitIdstring

References storageUnit.id

companyIdstring

References company.id

customFieldsobject
lastCalibrationStatusgaugeCalibrationStatus
gaugeCalibrationStatusWithDueDategaugeCalibrationStatus
PATCHhttps://rest.carbon.ms/gauges
curl --request PATCH \
  --url 'https://rest.carbon.ms/gauges?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Prefer: return=representation' \
  --data '{"gaugeId":"xyz789"}'
Response
{
  "id": "abc123def456",
  "gaugeId": "xyz789",
  "supplierId": "xyz789",
  "modelNumber": "string",
  "serialNumber": "string",
  "description": "string",
  "dateAcquired": "2026-01-01",
  "gaugeTypeId": "xyz789"
}
DELETE/gauges

Delete a gauges

Delete a gauges, matched on `id`. Returns 204 No Content.

Query parameters

idstring

The `id` of the gauges to delete, e.g. `eq.{id}`.

DELETEhttps://rest.carbon.ms/gauges
curl --request DELETE \
  --url 'https://rest.carbon.ms/gauges?id=eq.%7Bid%7D' \
  --header 'Authorization: Bearer <api-key>'
204 No Content